Last Comment Bug 751488 - Can't reload the page after clearing private data
: Can't reload the page after clearing private data
Status: VERIFIED FIXED
: reproducible
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 15
Assigned To: :Margaret Leibovic
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 01:04 PDT by Paul Feher
Modified: 2016-07-29 14:24 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
+


Attachments
patch (937 bytes, patch)
2012-05-03 13:10 PDT, :Margaret Leibovic
mark.finkle: review+
bugzilla: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Paul Feher 2012-05-03 01:04:09 PDT
Nightly Fennec 15.0a1 (2012-05-02)
Aurora Fennec 14.0a2 (2012-05-02)
Device: HTC Desire Z
OS: Android 2.3.3

Steps to reproduce:
1. Load any page (Ex. yahoo.com).
2. Clear private data from Menu>More>Settings>.
3. Go back and reload the page.

Expected result:
The page is reloaded.

Actual result:
Nothing happens when tapping the reload button.
Comment 1 Aaron Train [:aaronmt] 2012-05-03 07:07:45 PDT
Reproduced.

--
Nightly (05/03)
Samsung Galaxy Nexus (Android 4.0.4)
Comment 2 :Margaret Leibovic 2012-05-03 13:10:50 PDT
Created attachment 620827 [details] [diff] [review]
patch

There's no need to check for whether or not there's history when doing a reload call. The "Session:Reload" message just ends up calling browser.reload():
http://mxr.mozilla.org/mozilla-central/source/mobile/android/chrome/content/browser.js#925

Also, these methods in Tab and their corresponding methods in GeckoApp are all returning booleans, but we don't end up actually doing anything with them... Also, there seems to be a lot of redundancy there - the methods in GeckoApp all get the selected tab, then just call the corresponding method in Tab. Oh well, maybe we can fix that some other time.
Comment 3 :Margaret Leibovic 2012-05-03 13:11:14 PDT
This wasn't a regression.
Comment 5 Ed Morley [:emorley] 2012-05-04 09:29:04 PDT
https://hg.mozilla.org/mozilla-central/rev/fa7094b8282d
Comment 6 Paul Feher 2012-05-07 02:08:53 PDT
Verified fixed on:
Nightly Fennec 15.0a1 (2012-05-06)
Device: HTC Desire Z
OS: Android 2.3.3

Using the initial STR.
Comment 7 :Margaret Leibovic 2012-05-07 14:28:38 PDT
Comment on attachment 620827 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): n/a
User impact if declined: reload doesn't work after clearing private data
Testing completed (on m-c, etc.): landed on m-c
Risk to taking this patch (and alternatives if risky): low-risk, mobile-only, just removes unnecessary check
String changes made by this patch: n/a

Note You need to log in before you can comment on or make changes to this bug.